Package twisted :: Package web :: Package woven :: Module template :: Class StringNodeMutator

[frames | no frames]

## Class StringNodeMutator

    NodeMutator --+
                  |
                 StringNodeMutator

A StringNodeMutator replaces the node that is passed in to generate with the string it adapts.

Method Summary
| `generate(self, request, node)`
Inherited from NodeMutator
| ``__init__`(self, data)`

Class Variable Summary
Inherited from NodeMutator
`tuple` | `__implements__` = `(<class twisted.web.woven.template.INod...`

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net